Skip to main content
PUT
Set the pipeline definition of an application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

The application whose connected repository's pipeline is addressed.

Body

application/json
spec_yaml
string
required

The pipeline definition YAML to record.

Response

The definition as recorded.

A repository's pipeline definition of record.

source
string
required

Where the definition of record was read from.

spec_yaml
string
required
spec_hash
string
required
protected_hash
string | null
required
stages
object[]
required
violations
string[]
required
repository
object
required

The repository a pipeline definition belongs to.